/*
DIOWave Visual Storage.
Copyright (C) 2002 - 2003, Takaya Sakusabe

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
	//==============================
	//
	//==============================
	const Boolean update_icon = false;

	//==============================
	//
	//==============================
	public ArrayList VOIPresets(DicomStudy dom) {
		ArrayList table = new ArrayList();
		String modality = get_data_CS(null, dom, 0x00080060, null);
		if (modality == "CT") {
			table.Add(new VOIEntry(45, 150, "HEAD"));
			table.Add(new VOIEntry(50, 300, "TISSUE 1"));
			table.Add(new VOIEntry(100, 500, "TISSUE 2"));
			table.Add(new VOIEntry(-600, 1000, "LUNG 1"));
			table.Add(new VOIEntry(-600, 2000, "LUNG 2"));
			table.Add(new VOIEntry(800, 1000, "BONE REF"));
			table.Add(new VOIEntry(1000, 2000, "BONE REF2"));
		} else
		if (modality == "MR") {
			table.Add(new VOIEntry(45, 150, "T1"));
			table.Add(new VOIEntry(50, 300, "T2"));
			table.Add(new VOIEntry(100, 500, "MR1"));
			table.Add(new VOIEntry(-600, 1000, "MR2"));
			table.Add(new VOIEntry(-600, 2000, "MR3"));
			table.Add(new VOIEntry(800, 1000, "MR4"));
			table.Add(new VOIEntry(1000, 2000, "MR5"));
		} else {
		}
		return table;
	}

	//==============================
	//
	//==============================
	const String default_layout = "1,1"; // "1,1";
	const String default_fit = null; // "2" or "F"
	const String default_order = null; // "N/T/Z/Y/Z,A/D"
	const String default_overlay = null; // "N", "D", ""
	const String default_action = null; // "P", "V", "Z"
